Pool - Delete
Menghapus kumpulan yang ditentukan.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Batch/batchAccounts/{accountName}/pools/{poolName}?api-version=2022-06-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
Nama akun Batch. Regex pattern: |
|
pool
|
path | True |
|
Nama kumpulan. Ini harus unik dalam akun. Regex pattern: |
|
resource
|
path | True |
|
Nama grup sumber daya yang berisi akun Batch. |
|
subscription
|
path | True |
|
Atur ID Langganan Azure. Ini adalah string berformat GUID (misalnya 000000000-0000-0000-0000-00000000000) |
|
api-version
|
query | True |
|
Versi API yang akan digunakan dengan permintaan HTTP. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Operasi berhasil. |
|
| 202 Accepted |
Operasi akan diselesaikan secara asinkron. Headers
|
|
| 204 No Content |
Operasi berhasil. |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
DeletePool
Sample Request
DELETE https://management.azure.com/subscriptions/subid/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct/pools/testpool?api-version=2022-06-01
Sample Response
Retry-After: 15
Location: https://management.azure.com/subscriptions/subid/resourceGroups/default-azurebatch-japaneast/providers/Microsoft.Batch/batchAccounts/sampleacct/poolOperationResults/delete-testpool-8D4EDFF164A11C9?api-version=2022-01-01
Definisi
|
Cloud |
Respons kesalahan dari layanan Batch. |
|
Cloud |
Respons kesalahan dari layanan Batch. |
CloudError
Respons kesalahan dari layanan Batch.
| Name | Type | Description |
|---|---|---|
| error |
Isi respons kesalahan. |
CloudErrorBody
Respons kesalahan dari layanan Batch.
| Name | Type | Description |
|---|---|---|
| code |
|
Pengidentifikasi untuk kesalahan. Kode tidak berubah dan dimaksudkan untuk dikonsumsi secara terprogram. |
| details |
Daftar detail tambahan tentang kesalahan tersebut. |
|
| message |
|
Pesan yang menjelaskan kesalahan, dimaksudkan agar cocok untuk ditampilkan di antarmuka pengguna. |
| target |
|
Target kesalahan tertentu. Misalnya, nama properti dalam kesalahan. |